package cxa.acting;

import org.apache.avalon.framework.activity.Initializable;
import org.apache.avalon.framework.thread.ThreadSafe;
import org.apache.avalon.framework.logger.AbstractLoggable;
import org.apache.avalon.framework.parameters.Parameters;
import org.apache.cocoon.acting.Action;
import org.apache.cocoon.environment.Redirector;
import org.apache.cocoon.environment.SourceResolver;

import java.util.HashMap;
import java.util.Map;
import java.util.Random;

public class RandomAction
  extends AbstractLoggable
  implements Action, Initializable, ThreadSafe {

    protected Random generator;

    /**
     * Initialize this component
     */
    public void initialize() {
        // create a random generator
        this.generator = new Random( System.currentTimeMillis() );
    }

    public Map act(Redirector redirector,
                   SourceResolver resolver,
                   Map objectModel,
                   String src,
                   Parameters parameters)
    throws Exception {
        // get the range
        int min = parameters.getParameterAsInteger("min", 0);
        int max = parameters.getParameterAsInteger("max", 100);

        int random = this.generator.nextInt(max - min + 1) + min;

        if ( this.getLogger().isDebugEnabled() ) {
            this.getLogger().debug("Generated random between " + min + " and " + max + " : " + random);
        }

        // build resulting map
        Map map = new HashMap(1);
        map.put("number", "" + random);
        return map;
    }

}

