<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xsp="http://apache.org/xsp"
    xmlns:cxa="http://cxa/logicsheet">

<xsl:template match="cxa:random">
        <xsp:logic>
            int min = <xsl:value-of select="@min"/>;
            int max = <xsl:value-of select="@max"/>;
            java.util.Random generator = new java.util.Random( System.currentTimeMillis() );
            int random = generator.nextInt(max - min + 1) + min;
        </xsp:logic>
        <xsp:expr>random</xsp:expr>
</xsl:template>

<xsl:template match="cxa:date">
    <xsp:expr>new Date()</xsp:expr>
</xsl:template>

<xsl:template match="cxa:if-session">
    <xsp:logic>
        <xsl:choose>
            <xsl:when test="not(@test) or @test = 'true'">
                if (org.apache.cocoon.environment.ObjectModelHelper.getRequest( objectModel ).getSession(false) != null) {
            </xsl:when>
            <xsl:otherwise>
                if (org.apache.cocoon.environment.ObjectModelHelper.getRequest( objectModel ).getSession(false) == null) {
            </xsl:otherwise>
        </xsl:choose>
    </xsp:logic>

    <xsl:apply-templates/>

    <xsp:logic>
        }
    </xsp:logic>
</xsl:template>

<xsl:template match="cxa:create-session">
    <xsp:logic>
        org.apache.cocoon.environment.ObjectModelHelper.getRequest( objectModel ).getSession(true);
    </xsp:logic>    
</xsl:template>

<xsl:template match="@*|*|text()|processing-instruction()">
    <xsl:copy>
        <xsl:apply-templates select="@*|*|text()|processing-instruction()"/>
    </xsl:copy>
</xsl:template>

</xsl:stylesheet>
