<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="document">
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="document/user">
    <html>
        <body bgcolor="{normalize-space(background)}">
        <center>
            <h1>Welcome <xsl:value-of select="name"/></h1>
            <xsl:choose>
                <xsl:when test="normalize-space(last-logged-in)='never'">
                    <p>Oh, this is your first time! Congratulations.</p>
                </xsl:when>
                <xsl:otherwise>
                    <p>You were last logged in on <xsl:value-of select="normalize-space(last-logged-in)"/>.</p>
                </xsl:otherwise>
            </xsl:choose>
            <small><a href="editfeeds">Edit feeds</a></small>
            &#160;
            <small><a href="logout">Logout</a></small>
            
            <xsl:apply-templates select="feeds"/>
            <xsl:apply-templates select="faq-section"/>
	</center>
        </body>
    </html>
</xsl:template>

<xsl:template match="feeds">
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="rss">
	<hr/>
	<table><font face="Arial, Helvetica, sans-serif"><tr><th><em><xsl:value-of select="channel/title"/></em></th></tr>
		<xsl:apply-templates select ="channel/item"/>
		</font>
	</table>
</xsl:template>

<xsl:template match="item">
	<xsl:if test="position() &lt; 6">
		<tr bgcolor="#ffffff">
			<td><a target="_blank" href="{link}">
				<font size="-1" color="#333333"><b><xsl:value-of select="title"/></b></font></a><br/>
				<font size="-2" color="#46627A"><xsl:value-of select="description"/></font> 
    			</td>
		</tr>
		<tr bgcolor="#ffffff"><td bgcolor="#ffffff" height="5"></td></tr>
	</xsl:if>
</xsl:template>

<xsl:template match="faq-section">
     <xsl:variable name="select">
         <xsl:choose>
             <xsl:when test="normalize-space(select) &gt; count(faqs/faq)">
                 <xsl:value-of select="select mod count(faqs/faq) + 1"/>
             </xsl:when>
             <xsl:otherwise>
                 <xsl:value-of select="normalize-space(select)"/>
            </xsl:otherwise>
         </xsl:choose>
     </xsl:variable>
     <hr/>
     <h2>Cocoon Random Tip(No. <xsl:value-of select="$select"/>)</h2>
     <xsl:apply-templates select="faqs/faq[position() = $select]"/>
</xsl:template>

<xsl:template match="faq">
    <table>
        <tr>
            <td>Question:&#160;</td>
            <td><xsl:apply-templates select="question"/></td>
        </tr>
        <tr>
            <td>Answer:&#160;</td>
            <td><xsl:apply-templates select="answer"/></td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="document/p">
    <html><body>
    <p>
        <a href="start"><xsl:apply-templates/></a>
    </p>
    </body></html>
</xsl:template>

<xsl:template match="question">
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="answer">
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="source">
    <br/>
    <pre><xsl:apply-templates/></pre>
    <br/>
</xsl:template>

<xsl:template match="@*|*|text()">
    <xsl:copy>
        <xsl:apply-templates select="@*|*|text()"/>
    </xsl:copy>
</xsl:template>


</xsl:stylesheet>
